/*******************************************************************************
 * Copyright (c) 2013, Perforce Software
 * All rights reserved.
 * 
 * Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:
 * 
 * Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
 * Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 ******************************************************************************/
package com.perforce.search.manager.impl;

import com.perforce.search.manager.SolrSchemaField;

public class SolrSchemaFieldImpl implements SolrSchemaField {

    private String name;
    private String type;
    private Boolean indexed;
    private Boolean multivalued;
    private Boolean stored;

    public SolrSchemaFieldImpl(final Object name, final Object type,
	    final Object indexed, final Object multivalued, final Object stored) {
	this.name = name != null ? (String) name : null;
	this.type = type != null ? (String) type : null;
	this.indexed = indexed != null ? (Boolean) indexed : null;
	this.multivalued = multivalued != null ? (Boolean) multivalued : null;
	this.stored = stored != null ? (Boolean) stored : null;
    }

    public void setName(final String name) {
	this.name = name;
    }

    public void setType(final String type) {
	this.type = type;
    }

    public void setIndexed(final boolean indexed) {
	this.indexed = indexed;
    }

    public void setMultivalued(final boolean multivalued) {
	this.multivalued = multivalued;
    }

    public void setStored(final boolean stored) {
	this.stored = stored;
    }

    @Override
    public String getName() {
	return name;
    }

    @Override
    public String getType() {
	return type;
    }

    @Override
    public Boolean getIndexed() {
	return indexed;
    }

    @Override
    public Boolean getMultivalued() {
	return multivalued;
    }

    @Override
    public Boolean getStored() {
	return stored;
    }

}
